services:
  # Defined here because the link with container tag between api and freepbx failed
  TelNowEdge\FreePBX\Base\Validator\Constraints\ChoiceValidator:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  TelNowEdge\FreePBX\Base\Validator\Constraints\DependsValidator:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  TelNowEdge\FreePBX\Base\Validator\Constraints\UniqueIdValidator:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  TelNowEdge\FreePBX\Base\Validator\Constraints\CompoundUniqueValidator:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  TelNowEdge\FreePBX\Base\Validator\Constraints\ValidExtensionValidator:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  TelNowEdge\Module\tnehook\Validator\Constraints\MixedTypeValidator:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  TelNowEdge\Module\tnehook\Validator\Constraints\LineValidator:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  TelNowEdge\FreePBX\Base\Form\RepositoryType:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags:
      - "form.type"
